package net.xdclass.shopmanager.service;

import net.xdclass.shopmanager.model.*;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface SubService  {

    //获取板坯信息
    List<SlabInfoDO> getSlabInfo(SubParams subParams);

    //获取订单信息
    List<PmProContDO> getOrderInfo();

    //    生产合同产品属性表
    List<PmProContProdAttrDO> getPmProCountProdAttr();

    //    合同产线工艺参数表
    List<PmContMscTechDO> getPmContMscTech();

    //    组板设计规则集
    List<PmPdRuleSetDO> getPmPdRuleSet();

    //    组板设计规则集
    List<PmPdRuleItemDO> getPmPdRuleItem();

    //    最小轧制厚度公差范围基准表
    List<PmMinThickTolBtDO> getPmMinThickTolBt();

    //    钢板轧制规格对应收得率基准表
    List<PmPlateSpecYieldBtDO> getPmPlateSpecYieldBt();

    //    强度级别对照基准表
    List<PmStCodeBtDO> getPmStCodeBt();

    //    粗切位置决定基准表
    List<PmCutPlaceBtDO> getPmCutPlaceBt();

    //    组板常数基准表
    List<PmPdConstBtDO> getPmPdConstBt();

    //    钢板切缝切头尾范围基准表
    List<PmPlateCutLenBtDO> getPmPlateCutLenBt();

    //    组板临时收得率基准表
    List<PmPdTmpYieldBtDO> getPmPdTmpYieldBt();

    //    钢板切边量基准表
    List<PmPlateTrimBtDO> getPmPlateTrimBt();

    //    余材组板内部钢种以优充次对照表
    List<PmSlabReplBtDO> getPmSlabReplBt();

    //    热处理炉基准规格表
    List<PmHeatTreatFurnaceBtDO> getPmHeatTreatFurnaceBt();

    //    特殊钢种余量增加表
    List<PmSpeStAddvBtDO> getPmSpeStAddvBt();

    //合同处理成分结果数据
    List<QdToLineupResultCheDO> getQdToLineupResultChe();

    //合同处理坯料性能要求
    List<QdToLineupResultSlabphyDO> getQdToLineupResultSlabphy();

    //炉次工序成分代表实绩表
    List<QeTqHeatcheStandResultDO> getQeTqHeatcheStandResult();

    //炉次待委托表
    List<QeTqPonoWaitTestDO> getQeTqPonoWaitTest();

    //坯料低倍委托实绩表
    List<QeTqSlabMacroResultDO> getQeTqSlabMacroResult();

    //坯料低倍委托实绩表
    List<PmSlabSpecBtDO> getPmSlabSpecBt();

    void batchInsert(List<PmSubOrdDO> pmSubOrdDOList);

    void batchInsertPmSubHisDO(List<PmSubHisDO> pmSubHisDOList);

    void InsertPmSubHisDO(PmSubHisDO p);

    void InsertPmSubOrdDO(PmSubOrdDO p);

    List<PmIrsubableContDO> getPmIrsubableCont();

    List<PmIrsubableSlabDO> getPmIrsubableSlab();

    List<PmAutoSubSettingDO> getPmAutoSubSetting();

    List<PmRetainStDO> getPmRetainSt();

    List<PmRetainStackDO> getPmRetainStack();

    List<PmPdSlabInfoDO> getPmPdSlabInfo(SubParams subParams);

    List<QdToPoOrderDO> getQdToPoOrder();

    void SaveData(List<PmPdSlabDO> pmPdSlabDOList, List<PmPdPlateCutDO> pmPdPlateCutDOList, List<PmPdBlockPosDO> pmPdBlockPosDOList, List<PmPdContSumDO> pmPdContSumDOList, List<PmSmallPltPosDO> pmSmallPltPosDOList, List<PmCmdSlabDO> pmCmdSlabDOList, List<PmCmdLargePltDO> pmCmdLargePltDOList, List<PmCmdContDO> pmCmdContDOList, List<PmCmdSmallPltDO> pmCmdSmallPltDOList);

    void batchInsertPmPdSlab(List<PmPdSlabDO> pmPdSlabDOList);

    void batchInsertPmCmdSlab(List<PmCmdSlabDO> pmCmdSlabDOList);

    void insertPmPdSlab(PmPdSlabDO p);

    void batchInsertPmCmdLargePlt(List<PmCmdLargePltDO> pmCmdLargePltDOList);

    void batchInsertPmPdPlateCut(List<PmPdPlateCutDO> pmPdPlateCutDOList);

    void batchInsertPmPdBlockPos(List<PmPdBlockPosDO> pmPdBlockPosDOList);

    void batchInsertPmPdContSum(List<PmPdContSumDO> pmPdContSumDOList);

    void batchInsertPmSmallPltPos(List<PmSmallPltPosDO> pmSmallPltPosDOList);

    void batchInsertPmCmdSmallPlt(List<PmCmdSmallPltDO> pmCmdSmallPltDOList);

    void batchInsertPmCmdCont(List<PmCmdContDO> pmCmdContDOList);

    String GetMaxSeq(String pono);
}
